CK_ARRAY_PUT(3)

NAME
ck_array_put - attempt immediate or deferred insertion of a pointer into array

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_array.h>
bool
ck_array_put(ck_array_t *array, void *pointer);

DESCRIPTION
The ck_array_put(3) function will attempt to insert the value of pointer into the array pointed to by array. This function may incur additional memory allocations if not enough memory has been allocated in the array for a new entry. The operation is also free to apply the operation immediately if there is an opportunity for elimination with a pending (uncommitted) remove operation.

RETURN VALUES
This function returns true if the put operation succeeded. It will return false otherwise due to internal allocation failures.

SEE ALSO
ck_array_init(3), ck_array_commit(3), ck_array_put_unique(3), ck_array_remove(3), ck_array_deinit(3) ck_array_length(3), ck_array_buffer(3), ck_array_initialized(3), CK_ARRAY_FOREACH(3)

Additional information available at http://concurrencykit.org/